#include <vector>
#include <ostream>
#include <unordered_map>
using namespace std;

// vector x sa da vypisat ako [x[0], x[1], ..., x.back(), ]
template<class T>
ostream& operator<<(ostream& out, const vector<T> &a) {
    out << "["; 
    for (const auto &x : a) out << x << ", ";
    out << "]";
    return out;
}

// unordered_map x sa da vypisat ako {(key: x[key]), ..., }
template<class T, class U>
ostream& operator<<(ostream& out, const unordered_map<T, U> &m) {
    out << "{"; 
    for (const auto &x : m) out << "(" << x.first << ": " << x.second << "), ";
    out << "}";
    return out;
}

// pair x sa da vypisat ako (x.first, x.second)
template<class T, class U>
ostream& operator<<(ostream& out, const pair<T, U> &x) {
    out << "(" << x.first << ", " << x.second << ")"; 
    return out;
}

